FAQ
I am confused, it was my understanding that hiera is necessary on all of
the agent nodes with puppet 3.0
However, after reading the docs, they seem to indicate this is not the
case...

Would someone kindly verify this requirement for me?

My understanding is now that we do NOT need to install hiera on the agent
nodes.
Is this correect?

Thank you!

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To post to this group, send email to puppet-users@googlegroups.com.
To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Search Discussions

  • Jcbollinger at Nov 29, 2012 at 9:44 pm

    On Thursday, November 29, 2012 1:36:01 PM UTC-6, waycoolme wrote:
    I am confused, it was my understanding that hiera is necessary on all of
    the agent nodes with puppet 3.0
    However, after reading the docs, they seem to indicate this is not the
    case...

    Would someone kindly verify this requirement for me?

    My understanding is now that we do NOT need to install hiera on the agent
    nodes.
    Is this correect?
    Hiera is used during catalog compilation, therefore the master requires it,
    as does the "apply" face. The agent does not compile catalogs, so in
    principle clients do not require hiera. On the other hand, now that hiera
    is integrated into the core, it may depend on how you install Puppet
    whether you even have an option to omit it.


    John

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/AZtMG4qCqcgJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Josh Cooper at Nov 29, 2012 at 9:45 pm

    On Thu, Nov 29, 2012 at 11:36 AM, j a wrote:
    I am confused, it was my understanding that hiera is necessary on all of the
    agent nodes with puppet 3.0
    However, after reading the docs, they seem to indicate this is not the
    case...

    Would someone kindly verify this requirement for me?

    My understanding is now that we do NOT need to install hiera on the agent
    nodes.
    Is this correect?
    Starting with Puppet 3, hiera is included in puppet, so you do not
    need to install it[1]. The confusion is likely because Hiera had to be
    installed separately when used with Puppet 2.7. There was also a
    dependency on hiera-puppet, but that too is unnecessary in Puppet 3.

    Note puppet uses hiera to retrieve data during catalog compilation. In
    agent/master setups, compilation occurs on the master. The install (if
    on Puppet 2.7) and configuration (2.7 & 3.x) need to be done on the
    master[2]
    Josh

    [1] http://docs.puppetlabs.com/#hierahiera1
    [2] http://docs.puppetlabs.com/hiera/1/installing.html
    --
    Josh Cooper
    Developer, Puppet Labs

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Matthaus Owens at Nov 29, 2012 at 10:22 pm
    Hiera is a dependency of Puppet 3 in all of its packaged forms.
    Hiera-puppet (the puppet backend for hiera), is included in Puppet for
    3.0, but is available as a separate package for Puppet 2.7.x.

    As Josh and John mentioned, Hiera is required for Puppet 3.0 on the
    master, and is also needed on any agents if using `puppet apply`.
    On Thu, Nov 29, 2012 at 1:45 PM, Josh Cooper wrote:
    On Thu, Nov 29, 2012 at 11:36 AM, j a wrote:
    I am confused, it was my understanding that hiera is necessary on all of the
    agent nodes with puppet 3.0
    However, after reading the docs, they seem to indicate this is not the
    case...

    Would someone kindly verify this requirement for me?

    My understanding is now that we do NOT need to install hiera on the agent
    nodes.
    Is this correect?
    Starting with Puppet 3, hiera is included in puppet, so you do not
    need to install it[1]. The confusion is likely because Hiera had to be
    installed separately when used with Puppet 2.7. There was also a
    dependency on hiera-puppet, but that too is unnecessary in Puppet 3.

    Note puppet uses hiera to retrieve data during catalog compilation. In
    agent/master setups, compilation occurs on the master. The install (if
    on Puppet 2.7) and configuration (2.7 & 3.x) need to be done on the
    master[2]
    Josh

    [1] http://docs.puppetlabs.com/#hierahiera1
    [2] http://docs.puppetlabs.com/hiera/1/installing.html
    --
    Josh Cooper
    Developer, Puppet Labs

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.


    --
    Matthaus Owens
    Release Manager, Puppet Labs

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedNov 29, '12 at 7:37p
activeNov 29, '12 at 10:22p
posts4
users4
websitepuppetlabs.com

People

Translate

site design / logo © 2022 Grokbase